program Perde;
var a,b,z,x,c,v,n,m,s,d,f,g,h,j,k,l,q,w,e,r,t,y,u,i,o,p:integer;
    mas:array[1..1000] of integer;
Begin
readln(a,b);
mas[1]:=1;
mas[b]:=a;
z:=b-1;
x:=a-1;
d:=x mod z;
c:=x div z;
mas[2]:=mas[1]+c+d;
for i:=3 to b-1 do
mas[i]:=mas[i-1]+c;
For i:=1 to b do write(mas[i],' ');
writeln(' ');
End.


































































